# Creating a new Task Status Set

Creates a task status set on the account that contains only the four default statuses (e.g. `custom_task_statuses`)—`not started`, `started`, `needs info`, and `completed`.
This endpoint returns structured Task Status Set objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `task_status_sets` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: POST /task_status_sets
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `custom_task_statuses` (StatusSetOption) - Retrieves all of the statuses within this status set. The response will include `custom_task_status_ids`, which references the data in the `custom_task_statuses` top-level key.

## Request fields (application/json):

  - `task_status_set` (object)

  - `task_status_set.name` (string, required)
    The name of the task status set.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

